/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.commons.util.collection;

import java.util.ArrayList;
import java.util.Collection;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @author Oliver Plohmann
 *
 */
public class SetUtility
{
	/**
	 * 
	 */
	public SetUtility()
	{
		super();
	}
	
	public static <T> Set<T> toSet(T obj)
	{
		Set<T> set = new HashSet<T>();
		set.add(obj);
		return set;
	}
	
	public static <T> Set<T> toSet(T[] objs)
	{
		Set<T> set = new HashSet<T>();
		for (int i = 0; i < objs.length; i++)
			set.add(objs[i]);
		return set;
	}
	
	public static <T> Set<T> toSet(Collection<T> c)
	{
		Set<T> set = new HashSet<T>(c.size());
		for(T t : c)
			set.add(t);
		return set;
	}

	/**
	 * @param nodeNames
	 * @return
	 */
	public static <T> List<T> toList(Set<T> set)
	{
		List<T> list = new ArrayList<T>(set.size());
		for(T t : set)
			list.add(t);
		return list;
	}
}
