/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.commons.util.collection;

import java.util.ArrayList;
import java.util.List;
import java.util.Set;

/**
 * @author Oliver
 */
public class StringList extends ArrayList<String>
{
	private static final long serialVersionUID = -868777829314741302L;
	
	public StringList()
	{
        super();
	}
	
	public StringList(String string)
	{
		this.add(string);
	}
	
	public StringList(String string1, String string2)
	{
		this.add(string1);
		this.add(string2);
	}
	
	public StringList(String string1, String string2, String string3)
	{
		this.add(string1);
		this.add(string2);
		this.add(string3);
	}
	
	public StringList(String string1, String string2, String string3, String string4)
	{
		this.add(string1);
		this.add(string2);
		this.add(string3);
		this.add(string4);
	}
	
	public StringList(StringList list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringList(List<String> list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringList(Set<String> list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringList(String[] list)
	{
		for(String string : list)
			add(string);
	}
	
	public String[] toArray()
	{
		String[] strings = new String[size()];
		for (int i = 0; i < strings.length; i++)
			strings[i] = get(i);
		return strings;
	}
	
}
