/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.commons.util.collection;

import java.util.HashSet;
import java.util.Iterator;
import java.util.List;
import java.util.Set;

/**
 * @author Oliver
 *
 * TODO To change the template for this generated type comment go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
public class StringSet extends HashSet<String>
{

	private static final long serialVersionUID = 7785341438817392102L;

	public StringSet()
	{
        super();
	}
	
	public StringSet(String string)
	{
		this.add(string);
	}
	
	public StringSet(String string1, String string2)
	{
		this.add(string1);
		this.add(string2);
	}
	
	public StringSet(String string1, String string2, String string3)
	{
		this.add(string1);
		this.add(string2);
		this.add(string3);
	}
	
	public StringSet(String string1, String string2, String string3, String string4)
	{
		this.add(string1);
		this.add(string2);
		this.add(string3);
		this.add(string4);
	}
	
	public StringSet(StringSet list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringSet(StringList list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringSet(List<String> list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringSet(Set<String> list)
	{
		for(String string : list)
			add(string);
	}
	
	public StringSet(String[] list)
	{
		for(String string : list)
			add(string);
	}
	
	public String[] toArray()
	{
		String[] strings = new String[size()];
		Iterator<String> it = iterator();
		for (int i = 0; i < strings.length; i++)
			strings[i] = it.next();
		return strings;
	}

}
