/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */
package org.almendra.janet.ade.commands;

import java.io.Serializable;

import org.almendra.janet.ade.executor.ExecutorAnchor;
import org.almendra.janet.cas.scheduling.ICommand;



public abstract class ExecutorAnchorCommand implements ICommand, Serializable
{
	protected transient ExecutorAnchor anchor = null;
	
	/**
	 * Creates a new <code>ExecutorAnchorCommand</code> object.
	 */
	protected ExecutorAnchorCommand()
	{
		super();
	}
	
	/**
	 * Creates a new <code>ExecutorAnchorCommand</code> object.
	 */
	public ExecutorAnchorCommand(ExecutorAnchor anchor)
	{
		super();
		this.anchor = anchor;
	}

	/* (non-Javadoc)
	 * @see java.lang.Object#clone()
	 */
	public Object clone() throws CloneNotSupportedException
	{
		ExecutorAnchorCommand cmd = (ExecutorAnchorCommand) super.clone();
		return cmd;
	}
	/**
	 * @return Returns the anchor.
	 */
	public ExecutorAnchor getAnchor()
	{
		return anchor;
	}
	/**
	 * @param anchor The anchor to set.
	 */
	public void setAnchor(ExecutorAnchor anchor)
	{
		this.anchor = anchor;
	}
}
