/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.ade.executor.handlers;

import org.almendra.janet.ade.commands.ExecuteWorkloadBalancingCommand;
import org.almendra.janet.ade.executor.ExecutorAnchor;
import org.almendra.janet.ade.executor.executors.EvictCommandsExecutor;
import org.almendra.janet.cas.agents.IAgentProxy;
import org.almendra.janet.cas.handlers.ISuspensionHandler;
import org.almendra.janet.cas.node.AgentPath;
import org.almendra.janet.cas.scheduling.ICommand;
import org.almendra.janet.cas.scheduling.ICommandEnvelope;


/**
 * @author Oliver Plohmann
 *
 */
public class SuspensionHandlerFullEviction extends SuspensionHandlerPartialEviction  implements ISuspensionHandler
{
	/**
	 * Creates a new <code>SuspensionHandlerFullEviction</code> object.
	 */
	public SuspensionHandlerFullEviction(ExecutorAnchor anchor, IAgentProxy evictionAgent, AgentPath evictionAgentPath,
			ICommandEnvelope env, EvictCommandsExecutor evictionExecutor, String capabilityPath)
	{
		super(anchor, evictionAgent, evictionAgentPath, env, evictionExecutor, capabilityPath);
	}
	
	/**
	 * 
	 */
	protected void prepareCommandBeforeSending(ICommandEnvelope env)
	{
		env.setNewDestination(evictionAgentPath, env.getNodeName());
		ExecuteWorkloadBalancingCommand executeCommand = (ExecuteWorkloadBalancingCommand) env.getCommand();
		executeCommand.prepareBeforeSending();
		ICommand workloadCommand = anchor.getWorkloadDistributionBalancingCommandEnvelope(env.getAgentPath(), executeCommand.getBalancingCommand(), env.getCapabilityPath());
		env.setCommand(workloadCommand);
		env.setPredefinedInterpreter(null);
	}
}
