/*
 * 
 * Copyright (C) 2004, 2005 Oliver Plohmann
 * All rights reserved.
 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that redistributions of source    
 * code or in binary form must reproduce the above copyright notice, 
 * and the disclaimer that follows.

 * In addition, you are required that you include in the  end-user 
 * documentation provided with the redistribution and/or in the 
 * software itself an acknowledgement equivalent to the following:
 * "This product is based on the Janet software developed by the 
 * JANET Project (http://www.almendra.org/janet/)."

 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE JANET AUTHORS OR THE PROJECT
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

package org.almendra.janet.cas.events;

import java.rmi.Remote;
import java.util.NoSuchElementException;

import org.almendra.commons.events.Event;
import org.almendra.commons.util.collection.IIdentifiableListEvaluator;
import org.almendra.commons.util.exception.PropagatedException;
import org.almendra.commons.util.inet.RegistryLocation;


public interface IClusterEventRegistry extends Remote
{
	public void register(String nodeName, RegistryLocation registryLocation) 
	throws java.rmi.RemoteException;
	
	public boolean deregister(String nodeName) 
	throws java.rmi.RemoteException;
	
	public void occured(String originNodeName, Event event) 
	throws PropagatedException, java.rmi.RemoteException;
	
	public void register(String eventName, IIdentifiableListEvaluator<ClusterEventHandlerEnvelope> handlerList) 
	throws IllegalArgumentException, java.rmi.RemoteException;
	
	public boolean deregister(String eventName, String handlerListId) 
	throws NoSuchElementException, IllegalArgumentException, java.rmi.RemoteException;
	
	public boolean isRegistered(String eventName) 
	throws java.rmi.RemoteException;
	
	public int getHandlerCount(String eventName)
	throws java.rmi.RemoteException;
}
